--- title: "Get server list" slug: "devtools-sourcedeploy-serverlist" tags: ["SourceDeploy"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/devtools-sourcedeploy-serverlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get server list Available in Classic and VPC Get the list of available servers. Note To get the server list, you must first create a server in the Server service. See the following for how to create a server. - Create from NAVER Cloud Platform console: See [Server User Guide](https://guide.ncloud-docs.com/docs/en/server-overview). - Create using API: See [Server (VPC) API Guide](/docs/en/compute-vserver) or [Server (Classic) API Guide](/docs/en/compute-server). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/server | ### Request headers For information about the headers common to all SourceDeploy APIs, see [SourceDeploy request headers](/docs/en/devtools-sourcedeploy#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsourcedeploy.apigw.ntruss.com/api/v1/server' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.serverList` | Array | - | Server list: [serverList](/docs/en/devtools-sourcedeploy-serverlist#serverList) | #### `serverList` The following describes `serverList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `serverNo` | Number | - | Server number | | `name` | String | - | Server name | | `permission` | String | - | Ownership of permission to view details - `Allow` \| `Deny` - `Allow`: own - `Deny`: not owned | | `actionName` | String | - | Permission name for viewing details | ### Response status codes For information about the HTTP status codes common to all SourceDeploy APIs, see [SourceDeploy response status codes](/docs/en/devtools-sourcedeploy#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "serverList": [ { "no": 1011*****, "name": "s-3xgst1nikzzt0", "permission": "Allow", "actionName": "View/getServerDetail" }, { "no": 1011*****, "name": "svs", "permission": "Allow", "actionName": "View/getServerDetail" } ] } } ```